OpenVDB: openvdb::v6_1::tools::mesh_to_volume_internal Namespace Reference

OpenVDB 6.1.0

Classes | Functions
openvdb::v6_1::tools::mesh_to_volume_internal Namespace Reference

## Classes
struct | AddNodes
class | CombineLeafNodes
struct | ComputeIntersectingVoxelSign
class | ComputeNodeConnectivity
struct | ConstructVoxelMask
struct | DiffLeafNodeMask
struct | ExpandNarrowband
struct | FillArray
struct | InactivateValues
struct | LeafNodeConnectivityTable
struct | MinCombine
struct | OffsetValues
struct | ReleaseChildNodes
struct | RemoveSelfIntersectingSurface
struct | Renormalize
struct | RestoreOrigin
class | SeedFillExteriorSign
class | SeedPoints
struct | StashOriginAndStoreOffset
struct | StealUniqueLeafNodes
class | SweepExteriorSign
class | SyncVoxelMask
struct | Tolerance
struct | TransformPoints
struct | TransformValues
struct | UnionValueMasks
struct | ValidateIntersectingVoxels
struct | VoxelizationData
| TBB body object to voxelize a mesh of triangles and/or quads into a collection of VDB grids, namely a squared distance grid, a closest primitive grid and an intersecting voxels grid (masks the mesh intersecting voxels) More...
class | VoxelizePolygons

## Functions
template<typename LeafNodeType >
void | seedFill (LeafNodeType &node)
template<typename LeafNodeType >
bool | scanFill (LeafNodeType &node)
template<typename ValueType >
void | fillArray (ValueType *array, const ValueType val, const size_t length)
template<typename LeafNodeType >
void | maskNodeInternalNeighbours (const Index pos, bool(&mask)[26])
template<typename Compare , typename LeafNodeType >
bool | checkNeighbours (const Index pos, const typename LeafNodeType::ValueType *data, bool(&mask)[26])
template<typename Compare , typename AccessorType >
bool | checkNeighbours (const Coord &ijk, AccessorType &acc, bool(&mask)[26])
template<typename TreeType >
void | releaseLeafNodes (TreeType &tree)
template<typename DistTreeType , typename IndexTreeType >
void | combineData (DistTreeType &lhsDist, IndexTreeType &lhsIdx, DistTreeType &rhsDist, IndexTreeType &rhsIdx)
template<typename TreeType , typename Int32TreeType , typename BoolTreeType , typename MeshDataAdapter >
void | expandNarrowband (TreeType &distTree, Int32TreeType &indexTree, BoolTreeType &maskTree, std::vector< typename BoolTreeType::LeafNodeType * > &maskNodes, const MeshDataAdapter &mesh, typename TreeType::ValueType exteriorBandWidth, typename TreeType::ValueType interiorBandWidth, typename TreeType::ValueType voxelSize)

## Function Documentation

## ◆ checkNeighbours() [1/2]

bool openvdb::v6_1::tools::mesh_to_volume_internal::checkNeighbours | ( | const Index | pos,
|  | const typename LeafNodeType::ValueType * | data,
|  | bool(&) | mask[26]
| ) |  |
| inline

## ◆ checkNeighbours() [2/2]

bool openvdb::v6_1::tools::mesh_to_volume_internal::checkNeighbours | ( | const Coord & | ijk,
|  | AccessorType & | acc,
|  | bool(&) | mask[26]
| ) |  |
| inline

## ◆ combineData()

void openvdb::v6_1::tools::mesh_to_volume_internal::combineData | ( | DistTreeType & | lhsDist,
|  | IndexTreeType & | lhsIdx,
|  | DistTreeType & | rhsDist,
|  | IndexTreeType & | rhsIdx
| ) |  |
| inline

## ◆ expandNarrowband()

void openvdb::v6_1::tools::mesh_to_volume_internal::expandNarrowband | ( | TreeType & | distTree,
|  | Int32TreeType & | indexTree,
|  | BoolTreeType & | maskTree,
|  | std::vector< typename BoolTreeType::LeafNodeType * > & | maskNodes,
|  | const MeshDataAdapter & | mesh,
|  | typename TreeType::ValueType | exteriorBandWidth,
|  | typename TreeType::ValueType | interiorBandWidth,
|  | typename TreeType::ValueType | voxelSize
| ) |  |
| inline

## ◆ fillArray()

void openvdb::v6_1::tools::mesh_to_volume_internal::fillArray | ( | ValueType * | array,
|  | const ValueType | val,
|  | const size_t | length
| ) |  |
| inline

## ◆ maskNodeInternalNeighbours()

void openvdb::v6_1::tools::mesh_to_volume_internal::maskNodeInternalNeighbours | ( | const Index | pos,
|  | bool(&) | mask[26]
| ) |  |
| inline

## ◆ releaseLeafNodes()

void openvdb::v6_1::tools::mesh_to_volume_internal::releaseLeafNodes | ( | TreeType & | tree | ) |
| inline

## ◆ scanFill()

bool openvdb::v6_1::tools::mesh_to_volume_internal::scanFill | ( | LeafNodeType & | node | ) |
| inline

## ◆ seedFill()

void openvdb::v6_1::tools::mesh_to_volume_internal::seedFill | ( | LeafNodeType & | node | ) |
| inline